<?php

declare(strict_types=1);

namespace Gls\GlsPoland\AdePlus\Type;

final class CCustomsAttachedFile
{
    /**
     * @var string
     */
    private $name;

    /**
     * @var string
     */
    private $bin;

    public function getName(): string
    {
        return $this->name;
    }

    public function withName(string $name): CCustomsAttachedFile
    {
        $new = clone $this;
        $new->name = $name;

        return $new;
    }

    public function getBin(): string
    {
        return $this->bin;
    }

    public function withBin(string $bin): CCustomsAttachedFile
    {
        $new = clone $this;
        $new->bin = $bin;

        return $new;
    }
}
